#include "xgfxportalwritable.h"
#include "xgfxportal.h"

XGfxPortalWritable::XGfxPortalWritable()
    : XAsset()
    , mIsQueued(false)
    , mIsAncestor(false)
    , mRecursionDepth(0)
    , mHullPointCount(0)
    , mHullPointPtrs()
    , mHullPoints()
    , mQueuedParentPtr(0)
    , mQueuedParent(new XGfxPortal())
{
    SetName("GFX Portal Writable");
}

XGfxPortalWritable::~XGfxPortalWritable()
{
    
}

void XGfxPortalWritable::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XGfxPortalWritable::ParseData
}

void XGfxPortalWritable::Clear()
{
    
}
